package com.magnatune.eyecreate.companionformagnatune.model;

import io.realm.RealmList;
import io.realm.RealmObject;
import io.realm.annotations.PrimaryKey;

public class Track extends RealmObject {

    @PrimaryKey
    private String isrc;
    private String trackname;
    private String artist;
    private String albumname;
    private int tracknumber;
    private int year;
    private String mp3genre;
    private RealmList<MGenre> genres;
    private String license;
    private long seconds;
    private String url;
    private String mp3_low_quality;
    private String ogg_url;

    public String getIsrc() {
        return isrc;
    }

    public void setIsrc(String isrc) {
        this.isrc = isrc;
    }

    public String getTrackname() {
        return trackname;
    }

    public void setTrackname(String trackname) {
        this.trackname = trackname;
    }

    public String getArtist() {
        return artist;
    }

    public void setArtist(String artist) {
        this.artist = artist;
    }

    public String getAlbumname() {
        return albumname;
    }

    public void setAlbumname(String albumname) {
        this.albumname = albumname;
    }

    public int getTracknumber() {
        return tracknumber;
    }

    public void setTracknumber(int tracknumber) {
        this.tracknumber = tracknumber;
    }

    public int getYear() {
        return year;
    }

    public void setYear(int year) {
        this.year = year;
    }

    public String getMp3genre() {
        return mp3genre;
    }

    public void setMp3genre(String mp3genre) {
        this.mp3genre = mp3genre;
    }

    public RealmList<MGenre> getGenres() {
        return genres;
    }

    public void setGenres(RealmList<MGenre> genres) {
        this.genres = genres;
    }

    public String getLicense() {
        return license;
    }

    public void setLicense(String license) {
        this.license = license;
    }

    public long getSeconds() {
        return seconds;
    }

    public void setSeconds(long seconds) {
        this.seconds = seconds;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getMp3_low_quality() {
        return mp3_low_quality;
    }

    public void setMp3_low_quality(String mp3_low_quality) {
        this.mp3_low_quality = mp3_low_quality;
    }

    public String getOgg_url() {
        return ogg_url;
    }

    public void setOgg_url(String ogg_url) {
        this.ogg_url = ogg_url;
    }
}
